%bcond_without	qt5
%bcond_without	qt6

### Qt5 libraries
%define major      1
%define libname5   %mklibname packagekitqt5_ %{major}
%define develname5 %mklibname %{name}5 -d

### Qt6 libraries
%define libname6   %mklibname packagekitqt6_ %{major}
%define develname6 %mklibname %{name}6 -d

Name:	  	packagekit-qt
Version:	1.1.2
Release:	%mkrel 2
Summary:	A DBUS packaging abstraction layer
License:	GPLv2+
Group:		System/Packaging
URL:		https://www.freedesktop.org/software/PackageKit/
Source0:	https://github.com/PackageKit/PackageKit-Qt/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	packagekit >= %{version}
### Qt5 build dependencies
%if %{with qt5}
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5DBus)
%endif
### Qt6 build dependencies
%if %{with qt6}
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
%endif
BuildRequires:	cmake

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

#------------------------------------------------------------------------------
### Qt5 ###

%if %{with qt5}

%package -n	%{libname5}
Summary:	Libraries for accessing PackageKit-Qt5
Group:		System/Packaging
Requires:	packagekit >= %{version}

%description -n	%{libname5}
Libraries for accessing PackageKit-Qt5.

%files -n %{libname5}
%{_libdir}/libpackagekitqt5.so.%{major}
%{_libdir}/libpackagekitqt5.so.%{version}

#------------------------------------------------------------------------------

%package -n	%{develname5}
Summary:	Libraries and headers for PackageKit-Qt5
Group:		Development/Other
Requires:	%{libname5} = %{version}-%{release}
Provides:	%{name}5-devel = %{version}-%{release}

%description -n	%{develname5}
Headers and libraries for PackageKit-Qt5.

%files -n %{develname5}
%{_includedir}/packagekitqt5/
%{_libdir}/libpackagekitqt5.so
%{_libdir}/pkgconfig/packagekitqt5.pc
%{_libdir}/cmake/packagekitqt5/
%endif

#------------------------------------------------------------------------------
### Qt6 ###
%if %{with qt6}

%package -n	%{libname6}
Summary:	Libraries for accessing PackageKit-Qt6
Group:		System/Packaging
Requires:	packagekit >= %{version}

%description -n	%{libname6}
Libraries for accessing PackageKit-Qt6.

%files -n %{libname6}
%{_libdir}/libpackagekitqt6.so.%{major}
%{_libdir}/libpackagekitqt6.so.%{version}

#------------------------------------------------------------------------------

%package -n	%{develname6}
Summary:	Libraries and headers for PackageKit-Qt6
Group:		Development/Other
Requires:	%{libname6} = %{version}-%{release}
Provides:	%{name}6-devel = %{version}-%{release}

%description -n	%{develname6}
Headers and libraries for PackageKit-Qt6.

%files -n %{develname6}
%{_includedir}/packagekitqt6/
%{_libdir}/libpackagekitqt6.so
%{_libdir}/pkgconfig/packagekitqt6.pc
%{_libdir}/cmake/packagekitqt6/
%endif

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n PackageKit-Qt-%{version}

sed -i 's|VERSION 1.0.3|VERSION %{version}|' CMakeLists.txt

%build
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_qt5 -DCMAKE_PREFIX_PATH=%{_libdir}/cmake/Qt5
%cmake_build
%endif

%if %{with qt6}
%define _vpath_builddir build-qt6
%cmake_qt6 -DBUILD_WITH_QT6:BOOL=ON \
           -DCMAKE_PREFIX_PATH=%{_libdir}/cmake/Qt6
%cmake_build
%endif

%install
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_install
%endif

%if %{with qt6}
%define _vpath_builddir build-qt6
%cmake_install
%endif


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.1.2-2.mga10
+ Revision: 2225489
- Mageia 10 Mass Rebuild

* Wed Aug 07 2024 daviddavid <daviddavid> 1.1.2-1.mga10
+ Revision: 2083961
- new version: 1.1.2

* Sun Nov 05 2023 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2004277
- new version: 1.1.1

* Wed Jan 04 2023 daviddavid <daviddavid> 1.1.0-1.mga9
+ Revision: 1929949
- new version: 1.1.0
- enable Qt6 support

* Tue Apr 05 2022 umeabot <umeabot> 1.0.2-4.mga9
+ Revision: 1845010
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 luigiwalser <luigiwalser> 1.0.2-3.mga8
+ Revision: 1660528
- rebuild for missing signature

* Thu Dec 17 2020 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1659227
- Rebuild for new Qt5

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1.0.2-1.mga8
+ Revision: 1651771
- 1.0.2

* Sat Feb 15 2020 umeabot <umeabot> 1.0.1-4.mga8
+ Revision: 1524848
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 1.0.1-3.mga7
+ Revision: 1383811
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1300087
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 1.0.1-1.mga7
+ Revision: 1211484
- Update to version 1.0.1
- Removed Qt4
- Removed old patch

* Fri Jul 22 2016 daviddavid <daviddavid> 0.9.5-7.mga6
+ Revision: 1043112
- rebuild against fixed packagekit (Thanks to Neal Gompa)
- update Description from subpackages

* Tue Feb 16 2016 umeabot <umeabot> 0.9.5-6.mga6
+ Revision: 961990
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 neoclust <neoclust> 0.9.5-5.mga6
+ Revision: 855473
- Fix Qt5 build

* Wed Nov 12 2014 fwang <fwang> 0.9.5-4.mga5
+ Revision: 796547
- try use full gnu dirs

* Wed Nov 12 2014 fwang <fwang> 0.9.5-3.mga5
+ Revision: 796543
- hardcode includedir

* Sat Oct 25 2014 fwang <fwang> 0.9.5-2.mga5
+ Revision: 793101
- try rebuild to fix apper compilation

* Thu Oct 16 2014 fwang <fwang> 0.9.5-1.mga5
+ Revision: 761399
- update file list
- update file list
- 0.9.5
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-3.mga5
+ Revision: 683307
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 fwang <fwang> 0.9.2-2.mga5
+ Revision: 660867
- fix file list
- conditioned qt5 build
- fix dir
- build also qt4 flavour

* Thu Aug 07 2014 fwang <fwang> 0.9.2-1.mga5
+ Revision: 660816
- update file list
- fix pkgname
- 0.9.2

* Sun Jul 20 2014 neoclust <neoclust> 0.8.8-4.mga5
+ Revision: 654810
- Workaround issue with cmake file

* Mon Jan 06 2014 pterjan <pterjan> 0.8.8-3.mga4
+ Revision: 565142
- Rebuild with fixed packagekit

* Sat Oct 19 2013 umeabot <umeabot> 0.8.8-2.mga4
+ Revision: 530883
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 fwang <fwang> 0.8.8-1.mga4
+ Revision: 460843
- update file list
- new version 0.8.8

* Tue Jan 22 2013 fwang <fwang> 0.8.6-4.mga3
+ Revision: 390717
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 0.8.6-3.mga3
+ Revision: 362344
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.8.6-2.mga3
+ Revision: 323758
- correct libname

* Sat Dec 01 2012 fwang <fwang> 0.8.6-1.mga3
+ Revision: 323717
- add requires as it is communcating to pk via dbus
- update file list
- imported package packagekit-qt

